


!Number methodsFor: '*People-spfa-utils-maths' stamp: 'spfa 12/7/2004 11:26'!
/// aNumber

	"always return a Float. useful since a Fraction behaves much slower than a Float in most computations "

	^ self / aNumber asFloat! !

!Point methodsFor: '*People-spfa-utils-maths' stamp: 'spfa 8/31/2005 20:56'!
/// arg 
	"Answer a Point that is the quotient of the receiver and arg."

	arg isPoint ifTrue: [^ (x /// arg x) @ (y /// arg y)].
	^ arg adaptToPoint: self andSend: #///! !

!Point methodsFor: '*People-spfa-utils-maths' stamp: 'spfa 4/2/2004 20:04'!
closeTo: aPoint

	^ (x closeTo: aPoint x) and: [y closeTo: aPoint y]! !

!Number methodsFor: '*People-spfa-utils-maths' stamp: 'spfa 5/28/2003 18:38'!
x

	"consistent with the usual graphic representation of imaginary numbers"

	^ self! !

!Number methodsFor: '*People-spfa-utils-maths' stamp: 'spfa 5/28/2003 18:38'!
y

	"consistent with the usual graphic representation of imaginary numbers"

	^ 0! !
